import { system, world, ItemComponentTypes, ItemStack } from "@minecraft/server";

world.afterEvents.itemCompleteUse.subscribe(({source, itemStack }) => {
  
  const item = itemStack;

  if (!item) return;
  
  if (item.typeId === "amarite:win_cookie") {
    // 200 is 10 seconds and amplifier 1 is fire_resistance 2
  source.addEffect('village_hero', 1200, {amplifier:0});
  }
});